import Vue from 'vue'

import 'normalize.css/normalize.css' //CSS重置的替代方案

// 引入ElementUI组件和样式
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.scss' // 全局样式

import App from './App'
import store from './store'
import router from './router'

import '@/icons' // 图标
import '@/permission' // 权限控制

// 引入并注册使用全局组件vueSelects
import vueSelects from '@/components/VueSelects'
Vue.component(vueSelects.name, vueSelects)

// 使用注册ElementUI组件
Vue.use(ElementUI)

// 关闭本地开发提示
Vue.config.productionTip = false

// 把接口请求挂载到原型对象上方便全局使用
import API from '@/api'
Vue.prototype.$API = API

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
